OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.SGIX.Framezoom

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetSGIXFramezoom :: MonadIO m => m Bool
- gl_SGIX_framezoom :: Bool
- pattern GL_FRAMEZOOM_FACTOR_SGIX :: GLenum
- pattern GL_FRAMEZOOM_SGIX :: GLenum
- pattern GL_MAX_FRAMEZOOM_FACTOR_SGIX :: GLenum
- glFrameZoomSGIX :: MonadIO m => GLint -> m ()

# Extension Support

glGetSGIXFramezoom :: MonadIO m => m Bool Source #

Is the SGIX_framezoom extension supported?

gl_SGIX_framezoom :: Bool Source #

Is the SGIX_framezoom extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetSGIXFramezoom` in those cases instead.

# Enums

pattern GL_FRAMEZOOM_FACTOR_SGIX :: GLenum Source #

pattern GL_FRAMEZOOM_SGIX :: GLenum Source #

pattern GL_MAX_FRAMEZOOM_FACTOR_SGIX :: GLenum Source #

# Functions

glFrameZoomSGIX Source #

Arguments

:: MonadIO m |
=> GLint | `factor` of type `CheckedInt32`.
-> m () |